/* Base styles for the header container */
.header-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: fixed;
  top: 50px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 100;
  width: 80%;
}


/* Base styles for the navbars */
.left-navbar,
.right-navbar {
  display: flex;
  align-items: center;
  background: rgba(255, 255, 255, 0.088);
  backdrop-filter: blur(20px);
  border-radius: 30px;
  padding: 5px 20px; /* Reduced padding to adjust the navbar height */
}

.left-navbar .image-container {
  margin-right: 20px;
}

.left-navbar .image-container img {
  width: 137px;
  height: auto;
  margin-top: -24px;
  margin-bottom: -39px;
  margin-left: 20px;
  margin-right: -20px;
}
.contact-button {
  display: flex;
  align-items: center; /* Center items vertically */
  text-decoration: none;
  color: #e9e9ffe6;
  font-weight: bold;
}

.contact-button .contact-icon {
  margin-right: 10px; /* Space between icon and text */
  padding-top: 10px;
  padding-bottom: 10px;
}

.contact-button .contact-text {
  display: flex;
  align-items: center; /* Center text vertically */
}

.right-navbar .image-container .logo {
  width: 70px; /* Adjust this value to change the logo size */
  height: auto;
  margin-top: -10px; /* Adjust this value to reduce space on top */
  margin-bottom: -10px; /* Adjust this value to reduce space on bottom */
}

/* Base styles for the navigation items */
.nav {
  list-style: none;
  padding: 0;
  display: flex;
  align-items: center;
}

.nav li {
  margin: 0 20px;
}

.nav a {
  text-decoration: none;
  color: #e9e9ffe6;
  font-weight: bold;
  position: relative;
}

.nav a:hover {
  color: #ffffff;
}

/* Line-like effect */
.nav a::after {
  content: "";
  position: absolute;
  bottom: -35%;
  left: 0;
  width: 60%;
  height: 4px;
  background: transparent;
  border-radius: 10px;
}

.nav a:hover::after {
  background: #e9e9ffe6;
}

/* Contact button styles */
.left-navbar .contact-button {
  display: flex;
  align-items: center; /* Center the contact button vertically */
  text-decoration: none;
  color: #e9e9ffe6;
  font-weight: bold;
  margin-left: auto;
}

.left-navbar .contact-button img {
  width: 24px; /* Adjust size of the icon as needed */
  height: 24px;
  margin-right: 10px;
}

.left-navbar .contact-button span {
  display: flex;
  align-items: center;
}

/* Responsive styles */
@media screen and (max-width: 768px) {
  .nav .hide-on-mobile {
    display: none; 
  }

  .header-container {
    flex-direction: column;
  }

  .left-navbar,
  .right-navbar {
    width: 100%;
    justify-content: center;
    margin-bottom: 0px;
  }

  .nav li {
    margin: 0 10px; 
  }

  .nav a {
    font-weight: normal; 
  }
}

@media screen and (max-width: 1024px) {
  .right-navbar {
    max-width: 80%;
  }
  .nav .hide-on-tablet {
    display: none;
  }
}

/* Footer Styles */

@import url("https://fonts.googleapis.com/css2?family=Noto+Serif+Display:wght@300&family=Rubik:wght@400;500;700&display=swap");

h3 {
  font-family: "Noto Serif Display", serif;
  font-size: 2.3rem;
  font-weight: 300;
  text-align: center;
}

a:hover {
  border-bottom: 1px solid var(--dark);
}

ul {
  list-style-type: none;
  padding: 0;
}

button {
  appearance: none;
  border: 0;
  background: transparent;
}

.flex {
  display: flex;
}

.footer_inner {
  background: #ffffffe6;
  backdrop-filter: blur(50px);
  border: 0.1px solid rgba(233, 232, 232, 0.208);
  padding: 2rem;
  color: #000000e6;
}

.footer {
  background-color: #999;
}

form {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: min(100%, 400px);
  border-bottom: 1px solid var(--dark);
}

input {
  padding: 0.75rem 0;
  border: none;
  background: none;
  font-weight: 500;
  transition: border 0.3s cubic-bezier(0.215, 0.61, 0.355, 1);
  border-radius: 0;
  width: 100%;
  font-size: 1.05rem;
  font-weight: bolder;
}

input:focus {
  outline: none;
}

input::placeholder {
  color: var(--dark);
}

@media (min-width: 675px) {
  .layout {
    display: flex;
    flex-wrap: nowrap;
    column-gap: 2rem;
  }

  .w-50 {
    width: 50%;
  }

  .w-25 {
    width: 25%;
  }
}

form {
  position: relative;
}

.c-2 {
  margin-top: 3.5rem;
}

.footer_copyright {
  color: var(--light);
}
